# make vai gerar por default o PDF do livro
#   texfot is a filter of meaningful outputs of tex.
#         We use Some pdflatex options:
#         -draftmode: Doesn't write PDF or read included images (speeding up)
#               É mais lento que modo normal.
#         -halt-on-error:  Exit with error code when the 1st error is encountered.
#         -file-line-error:  Print error messages in the form file:line:error.
#         -interaction=nonstopmode: Does not request input after serious errors>
#         -output-directory: Auxiliary tex files will be put here.
#               Aqui não pude usar.
#         -shell-escape:  Enable the \\write18{command} construct.
#               permite que o gnuplot seja executado nos arquivos .gnuplot
#               gerados pelos PGF o que vai gerar arquivos .table com os pontos
#               que serão utilizados para gerar os gráficos.

LATEX = texfot pdflatex -halt-on-error  -file-line-error \
            --shell-escape -interaction=nonstopmode 

livro: CursoAlgLin-livro index 
CursoAlgLin-livro: CursoAlgLin-livro.tex FRONTMATTER-*.tex *-texto.tex *-exercicios.tex
	$(LATEX) CursoAlgLin-livro.tex

index: CursoAlgLin-livro.ind
CursoAlgLin-livro.ind index: CursoAlgLin-livro.idx
	makeindex CursoAlgLin-livro.idx
	echo -----------------------------------
	echo Livro gerado CursoAlgLin-livro.pdf

